Skip to content

Get TWAP sub-order history​

GET
/v1/twap/suborder/{currencyPair}/{orderId}/history

Returns the execution history of individual sub-orders for a specific TWAP order. Supports pagination and time filtering.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Path Parameters

currencyPair*

The currency pair of the TWAP order (e.g., BTCUSDT).

Type
string
Required
orderId*

The TWAP order ID.

Type
string
Required

Query Parameters

startTime

Include only records on or after this time. Accepts a Unix epoch (milliseconds) or an ISO-8601 timestamp.

Type
string
endTime

Include only records on or before this time. Accepts a Unix epoch (milliseconds) or an ISO-8601 timestamp.

Type
string
skip

Number of records to skip for pagination.

Type
integer
Example0
Format
"int32"
limit

Maximum number of records to return (max 100).

Type
integer
Example100
Format
"int32"

Responses​

TWAP sub-order history retrieved successfully

application/json

Playground​

Authorization
Variables
Key
Value

Samples​